Unit QTTXR_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure QTTXR(var RINT :Array of Real; var X1 :Array of Real;
                var X2 :Array of Real; var F :Array of Real;
                N :Integer; M :Integer);

implementation

procedure QTTXR(var RINT :Array of Real; var X1 :Array of Real;
                var X2 :Array of Real; var F :Array of Real;
                N :Integer; M :Integer);
var
I,J :Integer;
label
_10,_20,_30,_40,_50,_60;
begin
for I:=1 to N do
 begin
  RINT[(I-1)+0*N] := 0.0;
_10:
 end;
for J:=2 to M do
 begin
  RINT[0+(J-1)*N] := 0.0;
_20:
 end;
for I:=2 to N do
 begin
  for J:=2 to M do
   begin
    RINT[(I-1)+(J-1)*N] := RINT[(I-2)+(J-1)*N] + 0.25*(F[(I-2)+(J-2)*N] + F[(I-2)+(J-1)*N]
    + F[(I-1)+(J-2)*N] + F[(I-1)+(J-1)*N])*(X1[I-1] - X1[I-2])*
    (X2[J-1] - X2[J-2]);
_30:
   end;
_40:
 end;
for J:=2 to M do
 begin
  for I:=2 to N do
   begin
    RINT[(I-1)+(J-1)*N] := RINT[(I-1)+(J-1)*N] + RINT[(I-1)+(J-2)*N];
_50:
   end;
_60:
 end;
end;

end.
